Bug 473664 - scim : Unowned directories
scim : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 15:27 EST by Michael Schwendt
Modified: 2009-01-29 02:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 02:58:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-11-29 15:27:36 EST
One or more directories are not included within this
package and/or its sub-packages:

=> scim-libs-1.4.7-35.fc10.i386 (rawhide-development-i386)
/usr/lib/scim-1.0
/usr/lib/scim-1.0/1.4.0
/usr/lib/scim-1.0/1.4.0/IMEngine

Note: It may be necessary to include directories in multiple
packages.

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories
Comment 1 Mamoru TASAKA 2008-11-30 04:45:50 EST
Umm... currently I don't understand why this happened...

Actually I pointed out this issue on the merge review (bug 226395 comment 7)
and it is fixed in 1.4.5-10:
http://cvs.fedoraproject.org/viewvc/rpms/scim/devel/scim.spec?revision=1.79

However this change seems reverted on 1.4.7-2:
http://cvs.fedoraproject.org/viewvc/rpms/scim/devel/scim.spec?r1=1.95&r2=1.94&diff_format=u
Comment 2 Jens Petersen 2008-12-01 20:55:39 EST
Ok, my mistake I guess: the base package owns those directories but I see that is not sufficient for multilib.

Should be fixed in cvs.

Hitting a libtool error when building scim in dist-f11 buildroot.
http://koji.fedoraproject.org/koji/taskinfo?taskID=969790

(It builds ok for me locally under f10.)

Note You need to log in before you can comment on or make changes to this bug.